2018-09-20 05:38 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004694Kali Linux[All Projects] General Bugpublic2018-04-12 13:11
Reporterdookie 
Assigned Torhertzog 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Product Version2018.2 
Target Version2018.2Fixed in Version 
Summary0004694: Maltego Fails to Launch in our Latest Snapshot
DescriptionWhen trying to launch maltego, the splash screen is displayed but promptly dies with the following:

root@kali:~# maltego
java is /usr/bin/java
found java executable in PATH
pwd: file:/usr/share/maltego/maltego-ui/modules/ext/Java_Config_App.jar
install conf: /usr/share/maltego/etc/maltego.conf
install version: v4.1.0
user conf: /root/.maltego/v4.1.0/etc/maltego.conf
current java: /usr/lib/jvm/java-9-openjdk-amd64
/usr/lib/jvm: /usr/lib/jvm
/usr/lib/jvm: /usr/lib/jvm/default-java
/usr/lib/jvm: /usr/lib/jvm/java-1.9.0-openjdk-amd64
/usr/lib/jvm: /usr/lib/jvm/java-9-openjdk-amd64
does not exist: /usr/lib/jvm/bin/java
not jre/jdk: /usr/lib/jvm
/usr/lib/jvm/java-9-openjdk-amd64 VS /usr/lib/jvm/java-1.9.0-openjdk-amd64 (/usr/lib/jvm/java-9-openjdk-amd64/bin/java)
/usr/lib/jvm/java-1.9.0-openjdk-amd64 sym /usr/lib/jvm/java-9-openjdk-amd64
/usr/lib/jvm/java-1.9.0-openjdk-amd64 VS /usr/lib/jvm/default-java (/usr/lib/jvm/java-9-openjdk-amd64/bin/java)
/usr/lib/jvm/default-java dig /usr/lib/jvm/java-1.9.0-openjdk-amd64
trying path: /usr/lib/jvm/default-java
canonical: /usr/lib/jvm/java-9-openjdk-amd64
javaHome: /usr/lib/jvm/default-java
resource:com/paterva/maltego/java/config/jre/TestJDK.class -> /tmp/temp1622798230786834175732517388778/TestJDK.class
executing: /usr/lib/jvm/java-9-openjdk-amd64/bin/java -classpath /tmp/temp1622798230786834175732517388778 TestJDK, in: .
 result: 0
 command execution finished
 out: 9.0.4, 9.0.4+12-Debian-3, Oracle Corporation, Linux, amd64
runtimes: 0
Warning: Could not find a suitable Java runtime.
Attached Files

-Relationships
+Relationships

-Notes

~0009031

sbrun (manager)

new version 4.1.0.10552-0kali1 in kali-dev-only fixes the issue.

~0009034

rhertzog (administrator)

Pushed to kali-last-snapshot and new images are generated.
+Notes

-Issue History
Date Modified Username Field Change
2018-04-10 15:42 dookie New Issue
2018-04-10 18:41 rhertzog Assigned To => sbrun
2018-04-10 18:41 rhertzog Status new => assigned
2018-04-12 09:39 sbrun Assigned To sbrun => rhertzog
2018-04-12 09:39 sbrun Note Added: 0009031
2018-04-12 13:11 rhertzog Status assigned => closed
2018-04-12 13:11 rhertzog Resolution open => fixed
2018-04-12 13:11 rhertzog Note Added: 0009034
+Issue History